package com.xjrsoft.module.activity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;



/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class AddActivityInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 赛事名称
    */
    @ApiModelProperty("赛事名称")
    private String name;
    /**
    * 活动地点
    */
    @ApiModelProperty("活动地点")
    private String place;
    /**
    * 活动开始时间
    */
    @ApiModelProperty("活动开始时间")
    private Date startDate;
    /**
    * 活动结束时间
    */
    @ApiModelProperty("活动结束时间")
    private Date endDate;
    /**
    * 活动类型(xjr_dictionary_detail[match_activity_type])
    */
    @ApiModelProperty("活动类型(xjr_dictionary_detail[match_activity_type])")
    private String type;
    /**
    * 组织部门(xjr_department)
    */
    @ApiModelProperty("组织部门(xjr_department)")
    private Long orgId;
    /**
    * 报名结束时间
    */
    @ApiModelProperty("报名结束时间")
    private Date enrollEndTime;
    /**
    * 活动负责人
    */
    @ApiModelProperty("活动负责人")
    private String dutyPerson;
    /**
    * 活动负责人电话
    */
    @ApiModelProperty("活动负责人电话")
    private String dutyPersonMobile;
    /**
    * 封面图片
    */
    @ApiModelProperty("封面图片")
    private String coverFileId;
    /**
    * 状态(0:未发布 1:报名中 2:报名结束 3:活动结束)
    */
    @ApiModelProperty("状态(0:未发布 1:报名中 2:报名结束 3:活动结束)")
    private Integer status;
    /**
    * 活动内容
    */
    @ApiModelProperty("活动内容")
    private String content;
    /**
    * 合作企业
    */
    @ApiModelProperty("合作企业(校企活动时填写)")
    private Long enterpriseId;
    /**
    * 1:校企合作活动 2:赛事活动
    */
    @ApiModelProperty("1:校企合作活动 2:赛事活动")
    private Integer category;

    /**
    * activityEnrollRange
    */
    @ApiModelProperty("activityEnrollRange子表")
    private List<AddActivityEnrollRangeDto> activityEnrollRangeList;
}
