package com.xjrsoft.module.app.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: APP端功能模块管理
* @Author fanxp
* @Date: 2023-11-07
* @Version 1.0
*/
@Data
@TableName("base_app_function")
@ApiModel(value = "APP端功能模块管理对象", description = "APP端功能模块管理")
public class BaseAppFunction implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 功能分类(xjr_dictionary_item[APPFUNC])
    */
    @ApiModelProperty("功能分类(xjr_dictionary_item[APPFUNC])")
    private String type;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 图标
    */
    @ApiModelProperty("图标")
    private String icon;
    /**
    * 图标前缀
    */
    @ApiModelProperty("图标前缀")
    private String prefix;
    /**
    * 图标颜色
    */
    @ApiModelProperty("图标颜色")
    private String color;
    /**
    * 模板ID
    */
    @ApiModelProperty("模板ID")
    private Long schemaId;
    /**
    * 排序
    */
    @ApiModelProperty("排序")
    private Integer sortCode;
    /**
    * 菜单类型 0=菜单 1=目录
    */
    @ApiModelProperty("菜单类型 0=菜单 1=目录")
    private Integer isDirectory;
    /**
    * 功能地址
    */
    @ApiModelProperty("功能地址")
    private String url;


}