package com.xjrsoft.module.asset.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 资产管理分页列表出参
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Data
public class WfAssetManageQueryVo {

    /**
     * 资产类型
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("资产类型")
    @ApiModelProperty("资产类型")
    private String assetTypeCn;
    /**
     * 资产类别
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("资产类别")
    @ApiModelProperty("资产类别")
    private String assetCategoryCn;
    /**
     * 资产种类
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("资产种类")
    @ApiModelProperty("资产种类")
    private String assetSpeciesCn;
    /**
    * 名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("名称")
    @ApiModelProperty("名称")
    private String name;
    /**
     * 所属部门[xjr_department]
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("所属部门")
    @ApiModelProperty("所属部门[xjr_department]")
    private String deptIdCn;
    /**
     * 使用人id[xjr_user]
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用人")
    @ApiModelProperty("使用人id[xjr_user]")
    private String userIdCn;
    /**
    * 金额
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("金额")
    @ApiModelProperty("金额")
    private BigDecimal amount;
    /**
     * 其他信息
     */
    @ContentStyle(dataFormat = 49)
    @ExcelIgnore()
    @ApiModelProperty("其他信息")
    private String extendJson;
}
