package com.xjrsoft.module.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 学生考勤记录分页查询入参
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentAttendanceRecordPageDto extends PageInput {
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;
    /**
     * 班级id(class)
     */
    @ApiModelProperty("班级id(class)")
    private Long classId;
    /**
     * 就读方式(xjr_dictionary_item[stduy_status])
     */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
     * 考勤状态(xjr_dictionary_detail[attendance_status])
     */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
     * 时段（1：上午，2：下午，3：晚上）
     */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
}
