package com.xjrsoft.module.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 教师考勤记录分页查询入参
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherAttendanceRecordPageDto extends PageInput {

    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;
    /**
     * 考勤方式(1：人脸，2：车辆)
     */
    @ApiModelProperty("考勤方式(1：人脸，2：车辆)")
    private Integer attendanceMode;
    /**
     * 考勤状态(xjr_dictionary_detail[attendance_status])
     */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
     * 时段（1：上午，2：下午，3：晚上）
     */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;
    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carNumber;
    /**
     * 教师姓名
     */
    @ApiModelProperty("教师姓名")
    private String name;

    /**
     * 部门ID
     */
    @ApiModelProperty("部门ID")
    private Long deptId;
}
