package com.xjrsoft.module.attendance.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 教师考勤记录
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
@TableName("teacher_attendance_record")
@ApiModel(value = "teacher_attendance_record", description = "教师考勤记录")
public class TeacherAttendanceRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 教师userId(xjr_user)
    */
    @ApiModelProperty("教师userId(xjr_user)")
    private Long userId;
    /**
    * 考勤方式(1：人脸，2：车辆)
    */
    @ApiModelProperty("考勤方式(1：人脸，2：车辆)")
    private Integer attendanceMode;
    /**
    * 考勤状态(xjr_dictionary_detail[attendance_status])
    */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
    * 时段（1：上午，2：下午，3：晚上）
    */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;
    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carNumber;

}