package com.xjrsoft.module.banding.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 新生分班任务班级配置
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@TableName("banding_task_class")
@ApiModel(value = "banding_task_class", description = "新生分班任务班级配置")
public class BandingTaskClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 专业方向id
    */
    @ApiModelProperty("专业方向id")
    private Long majorSetId;
    /**
    * 班级人数
    */
    @ApiModelProperty("班级人数")
    private Integer number;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;
    /**
    * 教室id
    */
    @ApiModelProperty("教室id")
    private Long classroomId;
    /**
    * 是否订单班(0:否 1:是)
    */
    @ApiModelProperty("是否订单班(0:否 1:是)")
    private Integer isOrderClass;
    /**
    * 身高
    */
    @ApiModelProperty("身高")
    private BigDecimal height;
    /**
    * 体重
    */
    @ApiModelProperty("分数")
    private BigDecimal score;

    @ApiModelProperty("分班任务(banding_task)")
    private Long bandingTaskId;

    @ApiModelProperty("班级类型")
    private String classType;

    @ApiModelProperty("是否锁定(0:否 1:是)")
    private Integer status;
}