package com.xjrsoft.module.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班级表
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 04:52:58
 */
@Data
@TableName("base_major_set")
@ApiModel(value = "BaseMajorSet", description = "专业方向表")
public class BaseMajorSet implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改人")
    private Long modifyUserId;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    private Integer enabledMark;

    @ApiModelProperty("专业方向名称")
    private String name;

    @ApiModelProperty("专业方向代码")
    private String code;

    @ApiModelProperty("专业方向简称")
    private String shortName;

    @ApiModelProperty("上报专业技能方向名称")
    private String skillName;

    @ApiModelProperty("专业方向说明")
    private String remark;

    @ApiModelProperty("办学层次")
    private Long majorGradationId;

    @ApiModelProperty("专业分类")
    private Long majorCategorId;

    @ApiModelProperty("所属机构")
    private Long departmentId;

    @ApiModelProperty("专业")
    private Long majorId;

    @ApiModelProperty("适用学制")
    private Double studyYear;
}
