package com.xjrsoft.module.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学生和家庭成员关系表
 * </p>
 *
 */
@Data
@TableName("base_user_student")
@ApiModel(value = "BaseUserStudent", description = "学生和家庭成员关系表")
public class BaseUserStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("家长ID(xjr_user)")
    private Long userId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("家长手机号")
    private String userPhone;

    @ApiModelProperty("学生ID(xjr_user)")
    private Long studentId;

    @ApiModelProperty("学生姓名")
    private String studentNane;

    @ApiModelProperty("学生身份证号")
    private String studentIdentity;

    @ApiModelProperty("学生班级id（base_class）")
    private Long classId;

    @ApiModelProperty("学生班主任id(xjr_user)")
    private Long teacher_id;

    @ApiModelProperty("流程状态（0:审核中,1:通过,2:拒绝）")
    private Integer status;

}
