package com.xjrsoft.module.base.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 白名单管理分页列表出参
* @Author brealinxx
* @Date: 2024-06-24
* @Version 1.0
*/
@Data
public class WhitelistManagementPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 用户id
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 姓名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 身份证
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("身份证")
    @ApiModelProperty("身份证")
    private String credentialNumber;
    /**
    * 手机号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    @ApiModelProperty("手机号")
    private Long phone;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("就读方式")
    private String readWay;

    @ApiModelProperty("班主任")
    private String teacher;
}
