package com.xjrsoft.module.evaluate.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 评价模版
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
@TableName("evaluate_template")
@ApiModel(value = "evaluate_template", description = "评价模版")
public class EvaluateTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 模板名称
    */
    @ApiModelProperty("模板名称")
    private String name;
    /**
    * 评价类型(xjr_dictionary_item[evaluate_type])
    */
    @ApiModelProperty("评价类型(xjr_dictionary_item[evaluate_type])")
    private String evaluateType;
    /**
    * 评价总分
    */
    @ApiModelProperty("评价总分")
    private Integer total;
    /**
    * 使用部门ids
    */
    @ApiModelProperty("使用部门ids")
    private String deptIds;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（0:禁用 1:启用）
    */
    @ApiModelProperty("状态（0:禁用 1:启用）")
    private Integer status;


}