package com.xjrsoft.module.evaluate.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价项表单出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
/**
 * @OnceAbsoluteMerge 指定从哪一行/列开始,哪一行/列结束,进行单元格合并
 * firstRowIndex 起始行索引,从0开始
 * lastRowIndex 结束行索引
 * firstColumnIndex 起始列索引,从0开始
 * lastColumnIndex 结束列索引
 */
// 例如: 第2-3行,2-3列进行合并
//@OnceAbsoluteMerge(firstRowIndex = 1, lastRowIndex = 2, firstColumnIndex = 1, lastColumnIndex = 2)
@Data
public class ResultViewingExcelVo {

    /**
    * 具体被评的那个对象的id
    */
    @ExcelIgnore
    @ApiModelProperty("具体被评的那个对象的id")
    private Long objectId;
    /**
     * 具体被评的那个对象的id
     */

//  每隔两行合并一次(竖着合并单元格)
//    @ContentLoopMerge(eachRow = 2)
    @ExcelProperty(index = 0, value = "被评对象")
    @ColumnWidth(20)
    @ApiModelProperty("具体被评的那个对象的id")
    private String objectIdCN;
    /**
     * 应打分人数
     */
    @ExcelProperty(index = 1, value = "应打分人数")
    @ColumnWidth(10)
    @ApiModelProperty("应打分人数")
    private Integer planExecuterNum;
    /**
     * 实际打分人数
     */
    @ExcelProperty(index = 2, value = "实际打分人数")
    @ColumnWidth(10)
    @ApiModelProperty("实际打分人数")
    private Integer actualExecuterNum;
    /**
     * 题目项的id
     */
    @ExcelIgnore
    @ApiModelProperty("题目项的id")
    private Long evaluateManageItemId;
    /**
     * 题目名称
     */
    @ExcelProperty(index = 3, value = "题目名称")
    @ColumnWidth(50)
    @ApiModelProperty("题目名称")
    private String problem;
    /**
     * 单个被评对象的每一道题的总得分
     */
    @ExcelProperty(index = 4, value = "得分")
    @ColumnWidth(10)
    @ApiModelProperty("单个被评对象的每一道题的总得分")
    private Integer sumScore;
    /**
     * 标题名称
     */
    @ExcelIgnore
    @ApiModelProperty("标题名称")
    private String topic;
    /**
     * 单个被评对象的每一道题的平均得分
     */
    @ExcelIgnore
    @ApiModelProperty("单个被评对象的每个标题的平均得分")
    private Integer topicScore;
    /**
     * 单个被评对象的每一道题的平均得分
     */
    @ExcelProperty(index = 5, value = "综合平均得分")
    @ColumnWidth(10)
    @ApiModelProperty("单个被评对象的综合平均得分")
    private Integer synthesisScore;
}
