package com.xjrsoft.module.material.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
* @title: 材料提交任务表单出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTaskVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 创建时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private LocalDate createDate;
    /**
    * 材料提交任务类型(material_type)
    */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
     * 材料提交任务类型(material_type)
     */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private String materialTypeIdCn;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategoryCn;
    /**
    * 任务名称
    */
    @ApiModelProperty("任务名称")
    private String name;
    /**
    * 状态 1=未开始 2=进行中 3=结束
    */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
    * 要求完成日期
    */
    @ApiModelProperty("要求完成日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate requiredCompleteTime;
    /**
    * 要求
    */
    @ApiModelProperty("要求")
    private String requirement;
    /**
    * 指派给几人
    */
    @ApiModelProperty("指派给几人")
    private Integer assignPerson;
    /**
    * 已提交人数
    */
    @ApiModelProperty("已提交人数")
    private Integer submitedPerson;
    /**
    * 按时提交
    */
    @ApiModelProperty("按时提交")
    private Integer onTimePerson;
    /**
    * 延迟提交
    */
    @ApiModelProperty("延迟提交")
    private Integer timeDelay;

    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private Long folderId;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private String folderIdCn;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private List<File> files;
    /**
     * 表单发布
     */
    @ApiModelProperty("表单发布")
    private Long formReleaseId;
    /**
     * 表单发布
     */
    @ApiModelProperty("表单发布")
    private String formReleaseIdCn;


    /**
    * materialTaskAssign
    */
    @ApiModelProperty("materialTaskAssign子表")
    private List<MaterialTaskAssignVo> materialTaskAssignList;
    /**
    * materialTaskAppendix
    */
    @ApiModelProperty("materialTaskAppendix子表")
    private List<MaterialTaskAppendixVo> materialTaskAppendixList;

}
