package com.xjrsoft.module.outint.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 教师出入记录分页查询入参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherOutInRecordPageDto extends PageInput {
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;

    /**
     * 教师名称
     */
    @ApiModelProperty("教师名称")
    private String name;

    /**
     * 过车方向
     */
    @ApiModelProperty("过车方向")
    private  String status;
    /**
     * 部门ID
     */
    @ApiModelProperty("部门ID")
    private Long deptId;
    /**
     * 用户id
     */
    @ApiModelProperty("用户id")
    private Long userId;

}
