package com.xjrsoft.module.outint.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
* @title: 车辆出入记录
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
@TableName("car_out_in_record")
@ApiModel(value = "car_out_in_record", description = "车辆出入记录")
public class CarOutInRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 车辆id(car_message_apply)，固定车辆使用
    */
    @ApiModelProperty("过车唯一id")
    private String crossRecordSyscode;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private LocalDateTime recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private String facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;

    /**
    * 车辆分类(0:固定车辆 1:临时车辆)
    */
    @ApiModelProperty("车辆分类(0:固定车辆 1:临时车辆)")
    private Integer category;

    @ApiModelProperty("考勤状态")
    private String attendanceStatus;

    @ApiModelProperty("车牌号")
    private String planNo;

    @ApiModelProperty("放行方式")
    private String releaseWay;
    /**
     * 100-固定车放行 101-临时车自动放行 102-预约车自动放行 103-一户多车自动放行
     */
    @ApiModelProperty("100-固定车放行 101-临时车自动放行 102-预约车自动放行 103-一户多车自动放行")
    private String releaseReason;

    @ApiModelProperty("放行结果")
    private String releaseResult;

    /**
     * 车辆类型
     */
    @ApiModelProperty("车辆类型")
    private String vehicleType;

    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String phone;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("车辆id(car_message_apply)，固定车辆使用")
    private Long carMessageApplyId;
}