package com.xjrsoft.module.outint.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 访客出入记录
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
@TableName("visitor_out_in_record")
@ApiModel(value = "visitor_out_in_record", description = "访客出入记录")
public class VisitorOutInRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 访客id(reservation_school_people)
    */
    @ApiModelProperty("访客id(reservation_school_people)")
    private Long reservationSchoolPeopleId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;

    @ApiModelProperty("考勤状态")
    private String attendanceStatus;
}