package com.xjrsoft.module.outint.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 车辆出入记录分页列表出参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class CarOutInRecordPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 车辆id(car_message_apply)，固定车辆使用
    */
    @ApiModelProperty("车辆id(car_message_apply)，固定车辆使用")
    private Long carMessageApplyId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private String facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;
    /**
    * 访客车辆(reservation_school_people),临时车辆使用
    */
    @ApiModelProperty("访客车辆(reservation_school_people),临时车辆使用")
    private Long reservationSchoolPeopleId;
    /**
    * 车辆分类(0:固定车辆 1:临时车辆)
    */
    @ApiModelProperty("车辆分类(0:固定车辆 1:临时车辆)")
    private Integer category;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private String phone;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String plateNumber;

    /**
     * 车辆类型
     */
    @ApiModelProperty("车辆类型")
    private String vehicleType;

    /**
     * 人脸照片地址
     */
    @ApiModelProperty("人脸照片地址")
    private String facePhotoUrl;


    @ApiModelProperty("放行结果")
    private String releaseResult;

    @ApiModelProperty("放行方式")
    private String releaseWay;

    /**
     * 放行原因 100-固定车放行 101-临时车自动放行 102-预约车自动放行 103-一户多车自动放行
     */
    @ApiModelProperty(" 放行原因 100-固定车放行 101-临时车自动放行 102-预约车自动放行 103-一户多车自动放行")
    private String releaseReason;

    @ApiModelProperty(" 放行原因 100-固定车放行 101-临时车自动放行 102-预约车自动放行 103-一户多车自动放行")
    private String releaseReasonCn;

}
