package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 人脸信息审核
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Data
@TableName("teacher_face_process")
@ApiModel(value = "teacher_face_process", description = "人脸信息审核")
public class TeacherFaceProcess implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String name;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long depId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String depCn;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 部门主任id
    */
    @ApiModelProperty("部门主任id")
    private Long depUserId;

    @ApiModelProperty("审批状态(0:未通过 1:通过)")
    private Integer examStatus;

    @ApiModelProperty("海康接口返回内容")
    private String hikvisionResult;
}