package com.xjrsoft.module.personnel.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.personnel.dto.BasePersonnelLabourCapitalMonthPageDto;
import com.xjrsoft.module.personnel.dto.BasePersonnelLabourCapitalYearPageDto;
import com.xjrsoft.module.personnel.entity.BasePersonnelLabourCapital;
import com.xjrsoft.module.personnel.vo.BasePersonnelLabourCapitalMonthPageVo;
import com.xjrsoft.module.personnel.vo.BasePersonnelLabourCapitalYearPageVo;

import java.util.List;

/**
* @title: 工资发放
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/

public interface IBasePersonnelLabourCapitalService extends MPJBaseService<BasePersonnelLabourCapital> {
    /**
    * 新增
    *
    * @param basePersonnelLabourCapital
    * @return
    */
    Boolean add(BasePersonnelLabourCapital basePersonnelLabourCapital);

    /**
    * 更新
    *
    * @param basePersonnelLabourCapital
    * @return
    */
    Boolean update(BasePersonnelLabourCapital basePersonnelLabourCapital);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    Page<BasePersonnelLabourCapitalMonthPageVo> getMonthPage(Page<BasePersonnelLabourCapitalMonthPageDto> page, BasePersonnelLabourCapitalMonthPageDto dto);
    Page<BasePersonnelLabourCapitalYearPageVo> getYearPage(Page<BasePersonnelLabourCapitalYearPageDto> page, BasePersonnelLabourCapitalYearPageDto dto);
}
