package com.xjrsoft.module.personnel.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.personnel.dto.LaborManagementPageDto;
import com.xjrsoft.module.personnel.entity.LaborManagement;
import com.xjrsoft.module.personnel.mapper.LaborManagementMapper;
import com.xjrsoft.module.personnel.service.ILaborManagementService;
import com.xjrsoft.module.personnel.vo.LaborManagementPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @title: 劳资管理信息表
 * @Author brealinxx
 * @Date: 2024-01-23
 * @Version 1.0
 */
@Service
@AllArgsConstructor
public class LaborManagementServiceImpl extends MPJBaseServiceImpl<LaborManagementMapper, LaborManagement> implements ILaborManagementService {

    private final LaborManagementMapper laborManagementMapper;

    @Override
    public Page<LaborManagementPageVo> getPage(Page<LaborManagementPageDto> page, LaborManagementPageDto dto) {
        return laborManagementMapper.getPage(page, dto);
    }

    @Override
    public List<LaborManagementPageVo> listLaborManagementPageVo() {
        return laborManagementMapper.listLaborManagementPageVo();
    }

}
