package com.xjrsoft.module.room.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 寝室
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@TableName("room")
@ApiModel(value = "room", description = "寝室")
public class Room implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 寝室名称
    */
    @ApiModelProperty("寝室名称")
    private String roomName;
    /**
    * 入住身份(xjr_dictionary_item[check_in_status])
    */
    @ApiModelProperty("入住身份(xjr_dictionary_item[check_in_status])")
    private String checkInStatus;
    /**
    * 入住性别(xjr_dictionary_item[gender])
    */
    @ApiModelProperty("入住性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
    * 床位数
    */
    @ApiModelProperty("床位数")
    private Integer bedCount;
    /**
    * 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）
    */
    @ApiModelProperty("是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）")
    private Integer isMax;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;


}