package com.xjrsoft.module.room.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 寝室情况汇报
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
@TableName("wf_room_report")
@ApiModel(value = "wf_room_report", description = "寝室情况汇报")
public class WfRoomReport implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 班主任用户编号
    */
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
    * 寝室+床位名称
    */
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;


}