package com.xjrsoft.module.schedule.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
* @title: 寝室
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class CourseTableDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学期管理")
    private Long semesterId;
    @ApiModelProperty("课表类型(teacher:教师,class:班级)")
    private String courseType;
    @ApiModelProperty("周次")
    private Integer week;

    @ApiModelProperty("周几")
    private Integer weekDay;

    @ApiModelProperty("姓名(课表类型为teachar时使用)")
    private String teacherName;
    @ApiModelProperty("工号(课表类型为teachar时使用)")
    private String jobNumber;

    @ApiModelProperty("年级id(课表类型为class时使用)")
    private Long gradeId;
    @ApiModelProperty("班级id(课表类型为class时使用)")
    private Long classId;
    @ApiModelProperty("专业方向id(课表类型为class时使用)")
    private Long majorSetId;

    @ApiModelProperty("教师id")
    private Long teacherId;


    @ApiModelProperty("学生id(家长登录时使用)")
    private Long studentId;

    @ApiModelProperty("开始时间")
    private LocalDateTime startDate;
    @ApiModelProperty("结束时间")
    private LocalDateTime endDate;

    @ApiModelProperty("当前日期")
    private LocalDateTime toDay;

}
