package com.xjrsoft.module.schedule.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 简约系统对照表
* @Author dzx
* @Date: 2024-01-23
* @Version 1.0
*/
@Data
@TableName("course_receive_msg")
@ApiModel(value = "课表发布消息接收", description = "课表发布消息接收")
public class CourseReceiveMsg implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建时间
    */
    @ApiModelProperty("接收时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;

    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    /**
     * 有效标志
     */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学校id
    */
    @ApiModelProperty("学校id")
    private String schoolId;

    /**
     * 年级id
     */
    @ApiModelProperty("年级id")
    private String eduYearSerialNo;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startDate;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endDate;

    @ApiModelProperty("是否已回调")
    private Integer isCallback;

}