package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 学生荣誉
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/
@Data
public class AddStudentHonorsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 学生用户编号
    */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业")
    private Long majorSetId;
    /**
    * 荣誉级别(xjr_dictionary_item[honors_level])
    */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;
    /**
    * 荣誉等级(xjr_dictionary_item[honors_grade])
    */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;
    /**
    * 荣誉类型(xjr_dictionary_item[honors_type])
    */
    @ApiModelProperty("荣誉类型(xjr_dictionary_item[honors_type])")
    private String honorsType;
    /**
    * 荣誉名称
    */
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date awardDate;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

}
