package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 新生维护信息
* @Author dzx
* @Date: 2024-06-27
* @Version 1.0
*/
@Data
@TableName("base_new_student")
@ApiModel(value = "base_new_student", description = "新生维护信息")
public class BaseNewStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 毕业学校
    */
    @ApiModelProperty("毕业学校")
    private String graduateSchool;
    /**
    * 学生姓名
    */
    @ApiModelProperty("学生姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String credentialNumber;
    /**
    * 身高
    */
    @ApiModelProperty("身高")
    private BigDecimal height;
    /**
    * 体重
    */
    @ApiModelProperty("体重")
    private BigDecimal weight;
    /**
    * 成绩
    */
    @ApiModelProperty("成绩")
    private BigDecimal score;
    /**
    * 毕业班级
    */
    @ApiModelProperty("毕业班级")
    private String graduateClass;
    /**
    * 学生来源
    */
    @ApiModelProperty("学生来源")
    private String source;
    /**
    * 住宿类型
    */
    @ApiModelProperty("住宿类型")
    private String stduyStatus;
    /**
    * 手机号
    */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
    * 第一志愿
    */
    @ApiModelProperty("第一志愿")
    private Long firstAmbition;
    /**
    * 第二志愿
    */
    @ApiModelProperty("第二志愿")
    private Long secondAmbition;
    /**
    * 班级状态（0：未分配， 1：已分配）
    */
    @ApiModelProperty("班级状态（0：未分配， 1：已分配）")
    private Integer status;

    @ApiModelProperty("是否可调配（0：否，1：是）")
    private Integer isAdjust;

    @ApiModelProperty("招生计划id(enrollment_plan)")
    private Long enrollmentPlanId;


    @ApiModelProperty("家庭电话")
    private String familyMobile;

    @ApiModelProperty("家庭地址")
    private String familyAddress;

    @ApiModelProperty("第一志愿id")
    private Long firstAmbitionId;
    /**
     * 第二志愿
     */
    @ApiModelProperty("第二志愿")
    private Long secondAmbitionId;
}