package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 学生班级巡查考核-关联学生
* @Author fanxp
* @Date: 2023-11-18
* @Version 1.0
*/
@Data
@TableName("base_student_assessment_student_relation")
@ApiModel(value = "学生班级巡查考核-关联学生对象", description = "学生班级巡查考核-关联学生")
public class BaseStudentAssessmentStudentRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 学生班级巡查考核id
    */
    @ApiModelProperty("学生班级巡查考核id")
    private Long baseStudentAssessmentInspectionId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 民族(xjr_dictionary_item[nation])
    */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
    * 所在班级
    */
    @ApiModelProperty("所在班级")
    private String className;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业")
    private String majorName;


}