package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 学生操行分记录管理
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
@TableName("base_student_behavior_manage")
@ApiModel(value = "学生操行分记录管理对象", description = "学生操行分记录管理")
public class BaseStudentBehaviorManage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生操行分考核类别编号（base_student_behavior_category）
    */
    @ApiModelProperty("学生操行分考核类别编号（base_student_behavior_category）")
    private Long baseStudentBehaviorCategoryId;
    /**
    * 学生操行分考核项目编号（base_student_behavior_project）
    */
    @ApiModelProperty("学生操行分考核项目编号（base_student_behavior_project）")
    private Long baseStudentBehaviorProjectId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 入学年级(base_grade)
    */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;
    /**
    * 班级Ids(多选)
    */
    @ApiModelProperty("班级Ids(多选)")
    private String classIds;
    /**
    * 考核时间
    */
    @ApiModelProperty("考核时间")
    private Date assessmentDate;
    /**
    * 总分
    */
    @ApiModelProperty("总分")
    private Double totalScore;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Double score;
    /**
    * 分数次数
    */
    @ApiModelProperty("分数次数")
    private Double scoreNumber;
    /**
    * 是否影响(1:是 0:否)
    */
    @ApiModelProperty("是否影响(1:是 0:否)")
    private Integer isAffect;
    /**
    * 考核用户ID(xjr_user)
    */
    @ApiModelProperty("考核用户ID(xjr_user)")
    private Long assessmentUserId;
    /**
    * 考核机构(xjr_department)
    */
    @ApiModelProperty("考核机构(xjr_department)")
    private Long assessmentDepartmentId;
    /**
    * 考核地点
    */
    @ApiModelProperty("考核地点")
    private String assessmentAddress;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
    * baseStudentBehaviorStudentRelation
    */
    @ApiModelProperty("baseStudentBehaviorStudentRelation子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "baseStudentBehaviorManageId")
    private List<BaseStudentBehaviorStudentRelation> baseStudentBehaviorStudentRelationList;
    /**
    * baseStudentBehaviorClassRelation
    */
    @ApiModelProperty("baseStudentBehaviorClassRelation子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "baseStudentBehaviorManageId")
    private List<BaseStudentBehaviorClassRelation> baseStudentBehaviorClassRelationList;

}