package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 插班生管理
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/
@Data
@TableName("school_roll_transfer_student")
@ApiModel(value = "school_roll_transfer_student", description = "插班生管理")
public class SchoolRollTransferStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 所属机构(xjr_department)
    */
    @ApiModelProperty("所属机构(xjr_department)")
    private Long departmentId;
    /**
    * 入学年级(base_grade)
    */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;
    /**
    * 班级(base_class)
    */
    @ApiModelProperty("班级(base_class)")
    private Long classId;
    /**
    * 专业方向(base_major_set)
    */
    @ApiModelProperty("专业方向(base_major_set)")
    private Long majorSetId;
    /**
    * 入班时间
    */
    @ApiModelProperty("入班时间")
    private Date inClassDate;
    /**
    * 转学前学校名称
    */
    @ApiModelProperty("转学前学校名称")
    private String beforeSchoolName;
    /**
    * 转学前年级名称
    */
    @ApiModelProperty("转学前年级名称")
    private String beforeGradeName;
    /**
    * 转学前班级名称
    */
    @ApiModelProperty("转学前班级名称")
    private String beforeClassName;
    /**
    * 转学前专业方向名称
    */
    @ApiModelProperty("转学前专业方向名称")
    private String beforeMajorSetName;
    /**
    * 转学前学号
    */
    @ApiModelProperty("转学前学号")
    private String beforeSchoolId;
    /**
    * 转学日期
    */
    @ApiModelProperty("转学日期")
    private Date transferDate;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 别名
    */
    @ApiModelProperty("别名")
    private String asName;
    /**
    * 性别(xjr_dictionary_item[gender])
    */
    @ApiModelProperty("性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
    * 证件类型(xjr_dictionary_item[credential_type])
    */
    @ApiModelProperty("证件类型(xjr_dictionary_item[credential_type])")
    private String credentialType;
    /**
    * 证件号码
    */
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
    * 出生日期
    */
    @ApiModelProperty("出生日期")
    private Date dayOfBirth;
    /**
    * 生日类型(xjr_dictionary_item[date_type])
    */
    @ApiModelProperty("生日类型(xjr_dictionary_item[date_type])")
    private String birthType;
    /**
    * 民族(xjr_dictionary_item[nation])
    */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
    * 血型(xjr_dictionary_item[blood_type])
    */
    @ApiModelProperty("血型(xjr_dictionary_item[blood_type])")
    private String bloodType;
    /**
    * 健康状况(xjr_dictionary_item[health])
    */
    @ApiModelProperty("健康状况(xjr_dictionary_item[health])")
    private String health;
    /**
    * 婚姻状况(xjr_dictionary_item[marital_state])
    */
    @ApiModelProperty("婚姻状况(xjr_dictionary_item[marital_state])")
    private String maritalState;
    /**
    * 政治面貌(xjr_dictionary_item[political_state])
    */
    @ApiModelProperty("政治面貌(xjr_dictionary_item[political_state])")
    private String politicalState;
    /**
    * 信仰宗教(xjr_dictionary_item[religion])
    */
    @ApiModelProperty("信仰宗教(xjr_dictionary_item[religion])")
    private String religion;
    /**
    * 国籍地区(xjr_dictionary_item[nationality])
    */
    @ApiModelProperty("国籍地区(xjr_dictionary_item[nationality])")
    private String nationality;
    /**
    * 港澳台侨外(xjr_dictionary_item[chinese_type])
    */
    @ApiModelProperty("港澳台侨外(xjr_dictionary_item[chinese_type])")
    private String chineseType;
    /**
    * 籍贯 省(xjr_area)
    */
    @ApiModelProperty("籍贯 省(xjr_area)")
    private Long provinces;
    /**
    * 籍贯 市(xjr_area)
    */
    @ApiModelProperty("籍贯 市(xjr_area)")
    private Long city;
    /**
    * 籍贯 区/县(xjr_area)
    */
    @ApiModelProperty("籍贯 区/县(xjr_area)")
    private Long district;
    /**
    * 户口类别(xjr_dictionary_item[house_hold_type])
    */
    @ApiModelProperty("户口类别(xjr_dictionary_item[house_hold_type])")
    private String houseHoldType;
    /**
    * 户口所在地 省(xjr_area)
    */
    @ApiModelProperty("户口所在地 省(xjr_area)")
    private Long houseProvinces;
    /**
    * 户口所在地 市(xjr_area)
    */
    @ApiModelProperty("户口所在地 市(xjr_area)")
    private Long houseCity;
    /**
    * 户口所在地 区/县(xjr_area)
    */
    @ApiModelProperty("户口所在地 区/县(xjr_area)")
    private Long houseDistrict;
    /**
    * 户口所在详细地址
    */
    @ApiModelProperty("户口所在详细地址")
    private String houseHoldAddress;
    /**
    * 所属派出所
    */
    @ApiModelProperty("所属派出所")
    private String belongsPolice;
    /**
    * 出生地 省(xjr_area)
    */
    @ApiModelProperty("出生地 省(xjr_area)")
    private Long birthProvinces;
    /**
    * 出生地 市(xjr_area)
    */
    @ApiModelProperty("出生地 市(xjr_area)")
    private Long birthCity;
    /**
    * 出生地 区/县(xjr_area)
    */
    @ApiModelProperty("出生地 区/县(xjr_area)")
    private Long birthDistrict;
    /**
    * 学生居住地类型(xjr_dictionary_item[residence_type])
    */
    @ApiModelProperty("学生居住地类型(xjr_dictionary_item[residence_type])")
    private String residenceType;
    /**
    * 是否随迁子女
    */
    @ApiModelProperty("是否随迁子女")
    private Short isMigrateChildren;
    /**
    * 是否流动人口
    */
    @ApiModelProperty("是否流动人口")
    private Short isFloatingPopulation;
    /**
    * 家庭电话
    */
    @ApiModelProperty("家庭电话")
    private String telephone;
    /**
    * 联系人姓名
    */
    @ApiModelProperty("联系人姓名")
    private String contact;
    /**
    * 家庭住址
    */
    @ApiModelProperty("家庭住址")
    private String address;
    /**
    * 微信号
    */
    @ApiModelProperty("微信号")
    private String wechat;
    /**
    * 是否低保
    */
    @ApiModelProperty("是否低保")
    private Short isIndemnify;
    /**
    * 是否享受国家助学金
    */
    @ApiModelProperty("是否享受国家助学金")
    private Short isStipend;
    /**
    * 是否免学费
    */
    @ApiModelProperty("是否免学费")
    private Short isFree;
    /**
    * 是否建档立卡
    */
    @ApiModelProperty("是否建档立卡")
    private Short isFilingCard;
    /**
    * 是否住宿
    */
    @ApiModelProperty("是否住宿")
    private Short isStay;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;


}