package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 干部候选人
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
@TableName("student_change_class")
@ApiModel(value = "student_change_class", description = "学生转班")
public class StudentChangeClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 转出班级id
    */
    @ApiModelProperty("转出班级id")
    private Long beforeClassId;
    /**
    * 学生用户id
    */
    @ApiModelProperty("学生用户id")
    private Long studentUserId;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String IDNumber;
    /**
    * 教材费缴费情况
    */
    @ApiModelProperty("教材费缴费情况")
    private String textbookFees;
    /**
    * 住宿费缴费情况
    */
    @ApiModelProperty("住宿费缴费情况")
    private String homestay;
    /**
    * 转入班级id
    */
    @ApiModelProperty("转入班级id")
    private Long afterClassId;
    /**
     * 班主任id
     */
    @ApiModelProperty("班主任id")
    private Long teacherId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;


}