package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.schedule.vo.StudentJianyuekbVo;
import com.xjrsoft.module.student.dto.BaseStudentUserPageDto;
import com.xjrsoft.module.student.entity.BaseStudent;
import com.xjrsoft.module.student.vo.BaseStudentUserPageVo;
import com.xjrsoft.module.student.vo.StudentInfoVo;
import com.xjrsoft.module.student.vo.StudentPersonalInfoVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @title: mapper
 * @Author 管理员
 * @Date: 2023-08-08
 * @Version 1.0
 */
@Mapper
public interface BaseStudentMapper extends MPJBaseMapper<BaseStudent> {

    /**
     * 根据用户编号查询学生信息
     * @return
     */
    StudentInfoVo getStudentInfo(Long userId);

    List<StudentJianyuekbVo> getJianyueStudentList();

    StudentPersonalInfoVo getPersonalInfo(Long userId);

    List<String> getCredentialNumbers();

    Page<BaseStudentUserPageVo> getStudentPage(Page<BaseStudentUserPageVo> page, BaseStudentUserPageDto dto);
}
