package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentBehaviorManageMobilePageDto;
import com.xjrsoft.module.student.dto.BaseStudentBehaviorManagePageDto;
import com.xjrsoft.module.student.entity.BaseStudentBehaviorManage;
import com.xjrsoft.module.student.vo.BaseStudentBehaviorManageMobilePageVo;
import com.xjrsoft.module.student.vo.BaseStudentBehaviorManageMobileVo;
import com.xjrsoft.module.student.vo.BaseStudentBehaviorManagePageVo;
import com.xjrsoft.module.student.vo.BaseStudentBehaviorManageVo;

import java.util.List;

/**
* @title: 学生操行分记录管理
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/

public interface IBaseStudentBehaviorManageService extends MPJBaseService<BaseStudentBehaviorManage> {
    /**
    * 新增
    *
    * @param baseStudentBehaviorManage
    * @return
    */
    Boolean add(BaseStudentBehaviorManage baseStudentBehaviorManage);

    /**
    * 更新
    *
    * @param baseStudentBehaviorManage
    * @return
    */
    Boolean update(BaseStudentBehaviorManage baseStudentBehaviorManage);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    /**
     * 分页查询
     * @param dto
     * @return
     */
    Page<BaseStudentBehaviorManagePageVo> getPage(Page<BaseStudentBehaviorManagePageDto> page, BaseStudentBehaviorManagePageDto dto);

    /**
     * 数据详情
     * @return
     */
    BaseStudentBehaviorManageVo getInfo(Long id);

    /**
     * app分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<BaseStudentBehaviorManageMobilePageVo> getMobilePage(Page<BaseStudentBehaviorManageMobilePageDto> page, BaseStudentBehaviorManageMobilePageDto dto);

    /**
     * app数据详情
     * @return
     */
    BaseStudentBehaviorManageMobileVo getMobileInfo(Long id);
}
