package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.student.entity.BaseStudentAssessmentStudentRelation;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 学生班级巡查考核表单出参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentInspectionMobileVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 班级编号
     */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
     * 学生班级巡查考核id
     */
    @ApiModelProperty("学生班级巡查考核id")
    private Long baseStudentAssessmentInspectionId;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String assessmentClassName;
    /**
     * 考核时间
     */
    @ApiModelProperty("考核时间")
    private Date assessmentDate;
    /**
     * 数据创建时间
     */
    @ApiModelProperty("数据创建时间")
    private Date createDate;
    /**
     * 分数
     */
    @ApiModelProperty("分数")
    private Double score;
    /**
     * 分数类型编码
     */
    @ApiModelProperty("分数类型编码")
    private String scoreType;
    /**
     * 分数类型
     */
    @ApiModelProperty("分数类型")
    private String scoreTypeCn;
    /**
     * 考核用户
     */
    @ApiModelProperty("考核用户")
    private String assessmentUserName;
    /**
     * 原因
     */
    @ApiModelProperty("原因")
    private String reason;
    /**
     * 文件ID(xjr_file)
     */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;

    /**
     * 登记人
     */
    @ApiModelProperty("登记人")
    private String createUserName;

    /**
     * 考核项目
     */
    @ApiModelProperty("考核项目")
    private String assessmentProjectName;

    /**
     * 考核类别
     */
    @ApiModelProperty("考核类别")
    private String assessmentCategoryName;

    /**
     * 影响班级考核的学生
     */
    @ApiModelProperty("影响班级考核的学生")
    private List<BaseStudentAssessmentStudentRelation> studentList;

    @ApiModelProperty("学生人数")
    private Integer studentCount;

    /**
     * 附件列表
     */
    @ApiModelProperty("附件列表")
    private List<File> fileInfos;
}
