package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.student.entity.BaseStudentAssessmentStudentRelation;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 学生班级巡查考核表单出参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentInspectionVo {
    @ApiModelProperty("主键编号")
    private String id;

    @ApiModelProperty("学期(base_semester)")
    private String semesterName;

    @ApiModelProperty("年级(base_grade)")
    private String gradeName;

    @ApiModelProperty("考核时间")
    private Date assessmentDate;

    @ApiModelProperty("分数")
    private Double score;

    @ApiModelProperty("分数类型(xjr_dictionary_item[score_type])")
    private String scoreType;

    @ApiModelProperty("分数类型名称")
    private String scoreTypeCn;

    @ApiModelProperty("考核用户(xjr_user)")
    private String assessmentUserName;

    @ApiModelProperty("登记人")
    private String createUserName;

    @ApiModelProperty("原因")
    private String reason;

    @ApiModelProperty("考核项目")
    private String assessmentProjectName;

    @ApiModelProperty("考核类别")
    private String assessmentCategoryName;

    @ApiModelProperty("附件编号")
    private Long fileId;

    @ApiModelProperty("影响班级考核的学生")
    private List<BaseStudentAssessmentStudentRelation> studentList;

    @ApiModelProperty("附件列表")
    private List<File> fileInfos;

    @ApiModelProperty("班级信息")
    private List<BaseStudentAssessmentClassListVo> classList;
}
