package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 学生操行分记录管理分页列表出参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
public class BaseStudentBehaviorManagePageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 考核时间
    */
    @ApiModelProperty("考核时间")
    private Date assessmentDate;
    /**
    * 总分
    */
    @ApiModelProperty("总分")
    private Double totalScore;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Double score;
    /**
    * 分数次数
    */
    @ApiModelProperty("分数次数")
    private Double scoreNumber;
    /**
    * 是否影响(1:是 0:否)
    */
    @ApiModelProperty("是否影响(1:是 0:否)")
    private Integer isAffect;

    /**
    * 考核地点
    */
    @ApiModelProperty("考核地点")
    private String assessmentAddress;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
    /**
     * 学期
     */
    @ApiModelProperty("学期")
    private String semesterName;
    /**
     * 考核类别
     */
    @ApiModelProperty("考核类别")
    private String behaviorCategoryName;
    /**
     * 考核项目
     */
    @ApiModelProperty("考核项目")
    private String behaviorProjectName;

    /**
     * 考核类型
     */
    @ApiModelProperty("考核类型")
    private String scoreType;

    /**
     * 班级名称
     */
    @ApiModelProperty("班级名称")
    private String behaviorClassNames;

    /**
     * 考核人
     */
    @ApiModelProperty("考核人")
    private String assessmentUserName;
}
