package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 学生毕业管理分页列表出参
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/
@Data
public class BaseStudentGraduatePageVo {

    /**
    * 毕业证id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号（null时为毕业登记，有值时为修改）")
    @ApiModelProperty("主键编号（null时为毕业登记，有值时为修改）")
    private String id;
    /**
     * 学生user_id
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生user_id")
    @ApiModelProperty("学生user_id")
    private String userId;
    /**
    * 学籍号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍号")
    @ApiModelProperty("学籍号")
    private String studentId;
    /**
    * 学生姓名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;

    /**
     * 性别
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 性别
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String genderCn;

    /**
     * 联系方式
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("联系方式")
    @ApiModelProperty("联系方式")
    private String phone;
    /**
    * 专业
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("专业")
    @ApiModelProperty("专业")
    private String majorName;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("就读方式")
    @ApiModelProperty("就读方式")
    private String stduyStatus;
    /**
     * 修改时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("就读方式")
    @ApiModelProperty("就读方式")
    private String stduyStatusCn;
    /**
     * 学籍状态
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍状态")
    @ApiModelProperty("学籍状态")
    private String archivesStatus;
    /**
     * 学籍状态
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍状态")
    @ApiModelProperty("学籍状态")
    private String archivesStatusCn;
    /**
     * 学籍形式
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍形式")
    @ApiModelProperty("学籍形式")
    private String rollModality;
    /**
     * 学籍形式
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍形式")
    @ApiModelProperty("学籍形式")
    private String rollModalityCn;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("证书发放状态（0:未发放 1:已发放）")
    @ApiModelProperty("证书发放状态（0:未发放 1:已发放）")
    private Integer status;
    /**
    * 证书编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("证书编号")
    @ApiModelProperty("证书编号")
    private String certificateNumber;
    /**
    * 发证日期
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("发证日期")
    @ApiModelProperty("发证日期")
    private Date certificateDate;
    /**
     * 班级名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;
    /**
     * 年级名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年级名称")
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
     * 附件id
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("附件id")
    @ApiModelProperty("附件id")
    private Long appendixId;

    /**
     * 公文附件列表
     */
    @ApiModelProperty("公文附件列表")
    private List<File> fileInfos;
}
