package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
* @title: 学生毕业管理表单出参
* @Author dzx
* @Date: 2024-01-26
* @Version 1.0
*/
@Data
public class BaseStudentGraduateVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 学生(xjr_user)
    */
    @ApiModelProperty("学生(xjr_user)")
    private Long userId;
    /**
     * 学籍号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学籍号")
    @ApiModelProperty("学籍号")
    private String studentId;
    /**
     * 学生姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;
    /**
     * 专业
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("专业")
    @ApiModelProperty("专业")
    private String majorName;
    /**
     * 修改时间
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("就读方式")
    @ApiModelProperty("就读方式")
    private String stduyStatusCn;
    /**
    * 证书编号
    */
    @ApiModelProperty("证书编号")
    private String certificateNumber;
    /**
    * 发证日期
    */
    @ApiModelProperty("发证日期")
    private Date certificateDate;
    /**
    * 离寝日期(住读的学生才村)
    */
    @ApiModelProperty("离寝日期(住读的学生才村)")
    private Date leavingBedDate;
    /**
    * 附件id
    */
    @ApiModelProperty("附件id")
    private Long appendixId;
    /**
    * 证书发放状态（0:未发放 1:已发放）
    */
    @ApiModelProperty("证书发放状态（0:未发放 1:已发放）")
    private Integer status;

    /**
     * 公文附件列表
     */
    @ApiModelProperty("公文附件列表")
    private List<File> fileInfos;

}
