package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生处分信息管理分页列表出参
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
public class BaseStudentPunishmentInfoPageVo {
    /**
     * 学生处分主键编号
     */
    @ApiModelProperty("主键编号")
    private String id;

    /**
     * 处分学期(base_semester)
     */
    @ApiModelProperty("处分学期")
    private String baseSemesterName;

    /**
     * 处分类型id(base_punishment_type)
     */
    @ApiModelProperty("处分类型")
    private String punishmentType;

    /**
     * 学生班级(base_class)
     */
    @ApiModelProperty("学生班级")
    private String className;

    /**
     * 处分开始日期
     */
    @ApiModelProperty("处分开始日期")
    private String startTime;

    /**
     * 处分结束日期
     */
    @ApiModelProperty("处分结束日期")
    private String endTime;

    /**
     * 是否公示(1:是 0:否)
     */
    @ApiModelProperty("是否公示(1:是 0:否)")
    private Integer isPublicity;

    /**
     * 发送处分消息(1:班主任 2:学生 3:家长)
     */
    @ApiModelProperty("发送处分(1:班主任 2:学生 3:家长)")
    private Integer pushMessageObject;

    /**
     * 处分原因
     */
    @ApiModelProperty("处分原因")
    private String reason;
}
