package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 奖学金类别表单出参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipCategoryVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 奖学金来源(xjr_dictionary_item[scholarship_source])
    */
    @ApiModelProperty("奖学金来源(xjr_dictionary_item[scholarship_source])")
    private String scholarshipSource;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 奖学金等级 0=无等级
    */
    @ApiModelProperty("奖学金等级 0=无等级")
    private Integer scholarshipLevel;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;


    /**
    * baseStudentScholarshipLevel
    */
    @ApiModelProperty("baseStudentScholarshipLevel子表")
    private List<BaseStudentScholarshipLevelVo> baseStudentScholarshipLevelList;

    @ApiModelProperty("奖助学金类型(xjr_dictionary_item[scholarship_category])")
    private String category;

    @ApiModelProperty("资助单位/个人")
    private String supportSource;

}
