package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

/**
 * @title: MenuTreeDto
 * @Author tzx
 * @Date: 2022/4/10 20:41
 * @Version 1.0
 */
@Data
public class MenuTreeDto {

    @Length(max = 20,message = "系统类型！")
    @ApiModelProperty("系统类型")
    private String systemType;

    @ApiModelProperty("系统主键（主系统默认为0）")
    private Long systemId;

    @Length(max = 20,message = "菜单名不能大于20个字符！")
    private String title;

    @Length(max = 20,message = "组件名称不能大于20个字符！")
    private String name;

    @Length(max = 10,message = "组件编码不能大于10个字符！")
    private String code;

    private Integer enabledMark;

    // 菜单是否显示 0=隐藏 1=显示
    private Integer display = 1;

    @ApiModelProperty("是否显示在服务中心（0：否 1：是）")
    private Integer isShowServce;
}
