package com.xjrsoft.module.system.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;


/**
* @title: 系统消息
* @Author brealinxx
* @Date: 2024-04-17
* @Version 1.0
*/
@Data
@TableName("system_update_message")
@ApiModel(value = "system_update_message", description = "系统消息")
public class SystemUpdateMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 发送范围（1：全体师生，2：全体教职工）
    */
    @ApiModelProperty("发送范围（1：全体师生，2：全体教职工）")
    private Integer sendRange;
    /**
    * 消息标题
    */
    @ApiModelProperty("消息标题")
    private String title;
    /**
    * 标题颜色
    */
    @ApiModelProperty("标题颜色")
    private String titleColor;
    /**
    * 消息内容
    */
    @ApiModelProperty("消息内容")
    private String content;
    /**
    * 状态（0：未发布 1：已发布）
    */
    @ApiModelProperty("状态（0：未发布 1：已发布）")
    private Integer status;

    @ApiModelProperty("发布时间")
    private LocalDateTime releaseDate;
}