package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 班主任事项请假
* @Author szs
* @Date: 2023-12-19
* @Version 1.0
*/
@Data
@TableName("wf_head_teacher_leave")
@ApiModel(value = "wf_head_teacher_leave", description = "班主任事项请假")
public class WfHeadTeacherLeave implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 教职工请假编号
     */
    @ApiModelProperty("教职工请假编号")
    private Long wfTeacherleaveId;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 请假原因(xjr_dictionary_item[leave_reason])
    */
    @ApiModelProperty("请假原因(xjr_dictionary_item[leave_reason])")
    private String leaveReason;
    /**
    * 开始时间
    */
    @ApiModelProperty("请假日期")
    private Date startTime;
    /**
     * 请假时间段 1=上午 2=下午
     */
    @ApiModelProperty("请假时间段 1=上午 2=下午")
    private Integer timePeriod;
    /**
    * 是否有替班教师（1:是 0:否）
    */
    @ApiModelProperty("是否有替班教师（1:是 0:否）")
    private Integer isSubstitute;
    /**
    * 替换教师
    */
    @ApiModelProperty("替换教师")
    private Long substituteUserId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
}