package com.xjrsoft.module.teacher.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.concat.dto.ConcatTreeDto;
import com.xjrsoft.module.concat.vo.ConcatTreeVo;
import com.xjrsoft.module.teacher.entity.XjrUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: mapper
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Mapper
public interface XjrUserMapper extends MPJBaseMapper<XjrUser> {

    /**
     * 根据班级id查询学生用户编号
     * @param classId
     * @return
     */
    List<Long> getUserIdByClassId(Long classId);

    /**
     * 查询教师的姓名、电话和部门id
     * @param dto
     * @return
     */
    List<ConcatTreeVo> getTeacherDeptInfo(@Param("dto") ConcatTreeDto dto);
}
