package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教师奖项分页列表出参
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class TeacherAwardDetailPageVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人
     */
    @ApiModelProperty("申请人")
    private String applicantUserIdCn;
    /**
     * 获奖类型
     */
    @ApiModelProperty("获奖类型")
    private String awardType;
    /**
     * 奖项级别
     */
    @ApiModelProperty("奖项级别")
    private String awardLevel;
    /**
     * 奖项名称
     */
    @ApiModelProperty("奖项名称")
    private String competitionName;
    /**
     * 奖项名称
     */
    @ApiModelProperty("完整的奖项名称")
    private String wholeCompetitionName;
    /**
     * 获奖等级
     */
    @ApiModelProperty("获奖等级")
    private String awardGrade;
    /**
     * 奖项分数
     */
    @ApiModelProperty("奖项分数")
    private BigDecimal awardScore;
    /**
     * 作品名称
     */
    @ApiModelProperty("作品名称")
    private String paperName;
    /**
     * 国际标准刊号字
     */
    @ApiModelProperty("国际标准刊号字")
    private String issn;
    /**
     * 媒体类型（期刊、图书、报纸、音像、论文集）
     */
    @ApiModelProperty("媒体类型（期刊、图书、报纸、音像、论文集）")
    private String mediaType;
    /**
     * 媒体名称
     */
    @ApiModelProperty("媒体名称")
    private String journalName;
    /**
     * 国内统一刊号CN
     */
    @ApiModelProperty("国内统一刊号CN")
    private String journalNumber;
    /**
     * 期刊级别（核心期刊、一般期刊、(校级、内部论文)）
     */
    @ApiModelProperty("期刊级别（核心期刊、一般期刊、(校级、内部论文)）")
    private String journalLevel;
    /**
     * 发表时间
     */
    @ApiModelProperty("发表时间")
    private Date issueDate;
    /**
     * 审核人
     */
    @ApiModelProperty("审核人")
    private Long approvalUserId;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 附件文件id
     */
    @ApiModelProperty("附件文件id")
    private Long fileId;
    /**
     * 状态（1:结束 0:未结束）
     */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
    /**
     * 奖项id(teacher_award_item)
     */
    @ApiModelProperty("奖项id(teacher_award_item)")
    private Long teacherAwardItemId;
    /**
     * 是否论文（1：是 0：否）
     */
    @ApiModelProperty("是否论文（1：是 0：否）")
    private Integer isThesis;
}
