package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材征订记录到处出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookClaimExportQueryVo {

    @ExcelIgnore
    private Long baseSemesterId;

    @ExcelIgnore
    private String baseSemesterIdCn;

    @ExcelIgnore
    private Long classId;

    @ExcelIgnore
    private String classIdCn;

    @ExcelIgnore
    private String headTeacherName;

    @ExcelIgnore
    private String classRoomName;

    @ExcelIgnore
    private Long textbookId;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelIgnore
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材类型")
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookTypeCn;
    /**
     * 书名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 主编
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主编")
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
     * 出版社
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 国际标准刊号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("国际标准刊号")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 定价(元)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("定价(元)")
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
     * 小计（元）
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("小计(元)")
    @ApiModelProperty("小计（元）")
    private BigDecimal subtotal;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("库存数量")
    @ApiModelProperty("库存数量")
    private Integer num;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("发放数量")
    @ApiModelProperty("发放情况")
    private Integer claimNum;


    @ContentStyle(dataFormat = 49)
    @ExcelProperty("增领数量")
    @ApiModelProperty("增领数量")
    private Integer addClaimNum;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("退书数量")
    @ApiModelProperty("退书数量")
    private Integer recedeNum;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("实发数量")
    @ApiModelProperty("实发数量")
    private Integer studentClaimNum;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
}
