package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材管理表单出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookSubscriptionListVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 教材编号
     */
    @ApiModelProperty("教材编号")
    private String textbookId;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private Long courseSubjectId;
    /**
     * 课程编号(base_course_subject)
     */
    @ApiModelProperty("课程编号(base_course_subject)")
    private String courseName;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 国际标准刊号
     */
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
     * 主编
     */
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
     * 版本
     */
    @ApiModelProperty("版本")
    private String version;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 教材类型(xjr_dictionary_item[textbook_type])
    */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookTypeCn;
    /**
     * 使用类型(单位：学期)
     */
    @ApiModelProperty("使用类型(单位：学期)")
    private Integer useType;
    /**
     * 学生用书征订数量
     */
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;

    /**
     * 使用班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级")
    @ApiModelProperty("使用班级")
    private String classIds;
}
