package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教材入库分页列表出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TextbookWarehouseRecordPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;

    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;

    /**
     * 来源
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书号")
    @ApiModelProperty("书号")
    private String issn;
    /**
     * 单价(元)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("单价(元)")
    @ApiModelProperty("单价(元)")
    private BigDecimal Price;
    /**
     * 折扣
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("折扣")
    @ApiModelProperty("折扣")
    private Double discount;
    /**
    * 书名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("作者（主编）")
    @ApiModelProperty("作者（主编）")
    private String editorInChief;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学科组")
    @ApiModelProperty("学科组")
    private String groupName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("对应课程")
    @ApiModelProperty("对应课程")
    private String courseName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("类型")
    @ApiModelProperty("类型")
    private String textbookTypeCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("规格型号")
    @ApiModelProperty("规格型号")
    private String specificationsModels;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入库时间")
    @ApiModelProperty("入库时间")
    private Date createDate;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入库人员")
    @ApiModelProperty("入库人员")
    private String warehouseUser;

    /**
    * 入库数量
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入库数量")
    @ApiModelProperty("入库数量")
    private Integer warehouseNumber;

    /**
     * 使用年级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用年级")
    @ApiModelProperty("使用年级")
    private String useGrade;
    /**
     * 使用年级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期")
    @ApiModelProperty("学期")
    public String baseSemesterIdCn;
    /**
     * 使用班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级")
    @ApiModelProperty("使用班级")
    private String useClass;

}
