package com.xjrsoft.module.workflow.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 待办任务分页查询参数
 *
 * @Author: tzx
 * @Date: 2022/10/11 16:54
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MyExaminePageDto extends PageInput {
    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    /**
     * 模板名称
     */
    @ApiModelProperty("模板名称")
    private String name;

    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String taskName;

    /**
     * 发起人
     */
    @ApiModelProperty("发起人")
    private String originator;

    /**
     * 流水号
     */
    @ApiModelProperty("流水号")
    private String serialNumber;

    @ApiModelProperty("状态：1 已审批, 0 未审批")
    private Integer status;

    List<String> taskIds;

}
