package com.xjrsoft.module.workflow.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
* @title: 工作流操作记录表
* @Author dzx
* @Date: 2024-02-27
* @Version 1.0
*/
@Data
@TableName("xjr_workflow_operate_record")
@ApiModel(value = "xjr_workflow_operate_record", description = "工作流操作记录表")
public class XjrWorkflowOperateRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 节点id
    */
    @ApiModelProperty("节点id")
    private String nodeId;
    /**
    * 节点类型
    */
    @ApiModelProperty("节点类型")
    private String nodeType;
    /**
    * 节点名称
    */
    @ApiModelProperty("节点名称")
    private String nodeName;
    /**
    * 节点多实例类型（节点审批类型）
    */
    @ApiModelProperty("节点多实例类型（节点审批类型）")
    private Integer nodeMultiType;
    /**
    * 模板id
    */
    @ApiModelProperty("模板id")
    private Long schemaId;
    /**
    * 流程id
    */
    @ApiModelProperty("流程id")
    private String processId;
    /**
    * 审批操作信息
    */
    @ApiModelProperty("审批操作信息")
    private String operateInfo;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private LocalDateTime recordTime;
    /**
    * 传阅信息
    */
    @ApiModelProperty("传阅信息")
    private String circulateMessage;
    /**
    * 操作人id
    */
    @ApiModelProperty("操作人id")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;

    /**
     * 该记录的应用场景
     */
    @ApiModelProperty("该记录的应用场景")
    @TableField(fill = FieldFill.INSERT)
    private Integer usageScenario;

    @ApiModelProperty("是否显示该节点")
    private Integer showNode;
}