
-- 学生消费数据
DROP TABLE IF EXISTS `student_consume_date`;
CREATE TABLE student_consume_date
(
    id               bigint      not null comment '主键编号' primary key,
    create_user_id   bigint          null comment '创建人',
    create_date      datetime        null comment '创建时间',
    modify_user_id   bigint          null comment '修改人',
    modify_date      datetime        null comment '修改时间',
    delete_mark      int         not null comment '删除标记',
    enabled_mark     int         not null comment '有效标志',
    sort_code        int             null comment '序号',

    class_id      bigint     not null comment '班级id',
    class_name       VARCHAR(256)     not null comment '班级名称',
    student_id       bigint           not null comment '学生id',
    student_name     VARCHAR(256)     null comment '学生姓名',
    student_user_name       VARCHAR(256)     null comment '学生学号',
    consume_time     datetime         not null comment '消费时间',
    consume_money    DECIMAL(10, 2)   not null comment '消费金额',
    consume_type     VARCHAR(16)     not null comment '消费类型',
    grade_name       VARCHAR(256)     null comment '年级名称',
    grade_id       VARCHAR(256)     null comment '年级id',
    major_name       VARCHAR(256)     null comment '专业名称',
    major_id       VARCHAR(256)     null comment '专业id'

)ENGINE = InnoDB
 DEFAULT CHARSET = utf8mb4
    COMMENT ='学生消费数据';

# 消费类型 consume_type
-- 字典名        编号               字典值
-- 食堂        consume_type_1       consume_type_1
-- 超市        consume_type_2       consume_type_2
-- 图书馆      consume_type_3       consume_type_3
-- 其他        consume_type_4       consume_type_4
